# Setup In-App Surveys

In-App Surveys let you show surveys (including app rating) to users. You can show surveys automatically or manually, get the list of available surveys, check if the user has responded, and customize behavior.

* [Targeting Surveys](/kmp/setup-luciq-for-kmp/setup-in-app-surveys/targeting-surveys.md) – How surveys are targeted (dashboard) and `getAvailableSurveys`
* [Customizing Survey Behavior](/kmp/setup-luciq-for-kmp/setup-in-app-surveys/customizing-survey-behavior.md) – Welcome screen, auto-show
* [In-App Surveys Callbacks](/kmp/setup-luciq-for-kmp/setup-in-app-surveys/in-app-surveys-callbacks.md) – `onShow`, `onDismiss`, and handlers
* [Disabling/Enabling In-App Surveys](/kmp/setup-luciq-for-kmp/setup-in-app-surveys/disabling-enabling-in-app-surveys.md) – Turn surveys on or off

### Show survey if available

Shows a survey when one is available for the user based on targeting rules:

{% code title="Kotlin" %}

```kotlin
SurveysKmp.showSurveyIfAvailable()
```

{% endcode %}

### Show a specific survey

{% code title="Kotlin" %}

```kotlin
SurveysKmp.showSurvey(token = "SURVEY_TOKEN")
```

{% endcode %}

### Check if user has responded

{% code title="Kotlin" %}

```kotlin
scope.launch {
    SurveysKmp.hasRespondedToSurvey("SURVEY_TOKEN").collect { hasResponded ->
        if (!hasResponded) SurveysKmp.showSurvey("SURVEY_TOKEN")
    }
}
```

{% endcode %}

### Get available surveys

{% code title="Kotlin" %}

```kotlin
scope.launch {
    SurveysKmp.getAvailableSurveys().collect { list ->
        // list: List<Survey>
    }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-in-app-surveys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
